Accepting request 295480 from home:pluskalm:branches:Archiving

- Cleanup spec file with spec-cleaner
- Remove workarounds for unsupported releases
- Use %cmake macros
- Update dependencies

OBS-URL: https://build.opensuse.org/request/show/295480
OBS-URL: https://build.opensuse.org/package/show/Archiving/innoextract?expand=0&rev=4
This commit is contained in:
Martin Pluskal 2015-04-12 11:21:32 +00:00 committed by Git OBS Bridge
parent 50b52b3d56
commit 92ea3a58df
2 changed files with 33 additions and 47 deletions

View File

@ -1,3 +1,11 @@
-------------------------------------------------------------------
Sun Apr 12 11:18:14 UTC 2015 - mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Remove workarounds for unsupported releases
- Use %cmake macros
- Update dependencies
------------------------------------------------------------------- -------------------------------------------------------------------
Mon Apr 8 21:10:02 UTC 2013 - pascal.bleser@opensuse.org Mon Apr 8 21:10:02 UTC 2013 - pascal.bleser@opensuse.org

View File

@ -1,5 +1,7 @@
# vim: set sw=4 ts=4 et nu: #
# spec file for package innoextract
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org> # Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
# #
# All modifications and additions to the file contributed by third parties # All modifications and additions to the file contributed by third parties
@ -12,22 +14,25 @@
# published by the Open Source Initiative. # published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/ # Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name: innoextract
Version: 1.4 Name: innoextract
Release: 0 Version: 1.4
Summary: A tool to extract Inno Setup installers under non-windows systems Release: 0
Source: https://github.com/dscharrer/innoextract/archive/%{version}.tar.gz Summary: A tool to extract Inno Setup installers under non-windows systems
URL: https://github.com/dscharrer/InnoExtract/ License: Zlib
Group: Productivity/Archiving/Backup Group: Productivity/Archiving/Backup
License: Zlib Url: https://github.com/dscharrer/InnoExtract/
BuildRoot: %{_tmppath}/build-%{name}-%{version} Source: https://github.com/dscharrer/innoextract/archive/%{version}.tar.gz
BuildRequires: python BuildRequires: boost-devel
BuildRequires: boost-devel BuildRequires: cmake >= 2.8.0
BuildRequires: xz-devel xz BuildRequires: doxygen
BuildRequires: gcc-c++ BuildRequires: gcc-c++
BuildRequires: cmake >= 2.8.0 BuildRequires: pkg-config
BuildRequires: glibc-devel pkgconfig BuildRequires: python
BuildRequires: pkgconfig(liblzma)
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%description %description
Inno Setup is a tool to create installers for Microsoft Windows applications. Inno Setup is a tool to create installers for Microsoft Windows applications.
@ -37,40 +42,13 @@ supports installers created by Inno Setup 1.2.10 to 5.4.3.
%prep %prep
%setup -q %setup -q
# how awesome, on 12.1 the shlib symlink of liblzma is broken
# => crude workaround:
%if 0%{?suse_version} == 1210
%__install -d lzma/lib
matches=$(/bin/ls -1 /%{_lib}/liblzma.so.*.*.* %{_libdir}/liblzma.so.*.*.* | wc -l)
[ $matches -gt 0 ] || { echo 'ERROR: failed to find any match for /%{_lib}/liblzma.so.*.*.*' >&2; exit 1; }
[ $matches -gt 1 ] && { echo 'ERROR: found too many matches for /%{_lib}/liblzma.so.*.*.*' >&2; exit 1; }
#'
%__ln_s $(/bin/ls -1 /%{_lib}/liblzma.so.*.*.*) lzma/lib/liblzma.so
%endif
%build %build
LZMALIB="$PWD/lzma/lib" %cmake
%__install -d build make %{?_smp_mflags}
pushd build
cmake \
-DCMAKE_VERBOSE_MAKEFILE=TRUE \
-DCMAKE_INSTALL_PREFIX="%{_prefix}" \
-DCMAKE_SKIP_RPATH=TRUE \
-DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
%if 0%{?suse_version} == 1210
-DCMAKE_LIBRARY_PATH="$LZMALIB" \
%endif
..
%__make %{?_smp_mflags}
popd
%install %install
pushd build %cmake_install
%makeinstall
popd
%clean
%{?buildroot:%__rm -rf "%{buildroot}"}
%files %files
%defattr(-,root,root) %defattr(-,root,root)